Skip to main content
GET
/
registry
/
v1
/
agents
List agents registered by my tenant
curl --request GET \
  --url https://api.swarmd.ai/registry/v1/agents \
  --header 'Authorization: Bearer <token>'
{
  "totalElements": 123,
  "totalPages": 123,
  "pageable": {
    "pageSize": 123,
    "pageNumber": 123,
    "paged": true,
    "unpaged": true,
    "offset": 123,
    "sort": {
      "unsorted": true,
      "empty": true,
      "sorted": true
    }
  },
  "numberOfElements": 123,
  "first": true,
  "last": true,
  "size": 123,
  "content": [
    {
      "agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "description": "<string>",
      "agentCardUrl": "<string>",
      "originalCardUrl": "<string>",
      "version": "<string>",
      "status": "<string>",
      "healthStatus": "<string>",
      "subscriptionCount": 123,
      "metrics": {
        "requestCount": 123,
        "errorPercentage": 123,
        "avgLatencyMs": 123
      },
      "uptimePercentage": 123,
      "tenantDetails": {
        "tenantName": "<string>",
        "publicContactEmail": "<string>"
      }
    }
  ],
  "number": 123,
  "sort": {
    "unsorted": true,
    "empty": true,
    "sorted": true
  },
  "empty": true
}

Authorizations

Authorization
string
header
required

JWT token (USER, AGENT, or SERVICE auth)

Query Parameters

healthStatus
string
status
string
visibility
string
uptimeDays
integer<int32>
pageable
object
required

Response

200 - */*

OK

totalElements
integer<int64>
totalPages
integer<int32>
pageable
object
numberOfElements
integer<int32>
first
boolean
last
boolean
size
integer<int32>
content
object[]
number
integer<int32>
sort
object
empty
boolean